LIMACTL(1)

NAME
limactl-completion-zsh - Generate the autocompletion script for zsh

SYNOPSIS
limactl completion zsh [flags]

DESCRIPTION
Generate the autocompletion script for the zsh shell.

If shell completion is not already enabled in your environment you will need to enable it. You can execute the following once:
    echo "autoload -U compinit; compinit" >> ~/.zshrc

To load completions in your current shell session:
    source <(limactl completion zsh)

To load completions for every new session, execute once:

  Linux:
    limactl completion zsh > "${fpath[1]}/_limactl"

  macOS:
    limactl completion zsh > $(brew --prefix)/share/zsh/site-functions/_limactl

You will need to start a new shell for this setup to take effect.

OPTIONS
-h, --help[=false]
    help for zsh

--no-descriptions[=false]
    disable completion descriptions

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    debug mode

--log-format="text"
    Set the logging format [text, json]

--log-level=""
    Set the logging level [trace, debug, info, warn, error]

--tty[=false]
    Enable TUI interactions such as opening an editor. Defaults to true when stdout is a terminal. Set to false for automation.

SEE ALSO
limactl-completion(1)